All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata
Class MetadataUnresolvedException

    com.sas.iquery.metadata.MetadataUnresolvedException

All Implemented Interfaces:
  com.sas.util.LocalizableToStringInterface, java.io.Serializable

    public class MetadataUnresolvedException

Specifies an exception that is thrown when an unresolved BusinessModelResource object's method is called and that method is not supported because the object is unresolved.

Nearly all methods on unresolved BusinessModelResource objects will throw this exception except for isUnresolved(), getLabel(), getDescription() and getIdentityString(). One should call isUnresolved() prior to calling "meaningful" methods on a BusinessModelResource object to ensure that this exception is not accidentally missed since it is a RuntimeException.

See Also:
  Serialized Form

Constructor Summary
`MetadataUnresolvedException(BusinessModelResource unresolvedResource, java.lang.String message)` Constructs a `MetadataUnresolvedException` with the unresolved object and specified detail message.

Method Summary
`java.lang.String` | `getMessage()` Returns the detail message associated with this exception.
`BusinessModelResource` | `getUnresolvedResource()` Returns the unresolved BusinessModelResource object associated with this exception.

Constructor Detail

### MetadataUnresolvedException

    public MetadataUnresolvedException(BusinessModelResource unresolvedResource,
                                       java.lang.String message)

  Constructs a `MetadataUnresolvedException` with the unresolved object and specified detail message.

  Parameters:
    `unresolvedResource` - The unresovled BusinessModelResource object associated with this exception.
    `message` - The detail message.

Method Detail

### getUnresolvedResource

    public BusinessModelResource getUnresolvedResource()

  Returns the unresolved BusinessModelResource object associated with this exception.

  Returns:
    the unresolved BusinessModelResource object associated with this exception.

### getMessage

    public java.lang.String getMessage()

  Returns the detail message associated with this exception.

  Overrides:
    `getMessage` in class `IQueryServicesRuntimeException`
  Returns:
    the detail message associated with this exception.

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.